Skip to main content
`Ctrl`+`K`

# PetscQuadratureSetData

Sets the data defining the quadrature

## Synopsis

    #include "petscdt.h"
    PetscErrorCode PetscQuadratureSetData(PetscQuadrature q, PetscInt dim, PetscInt Nc, PetscInt npoints, const PetscReal points[], const PetscReal weights[]) PeNSS

Not Collective

## Input Parameters

- q - The `PetscQuadrature` object

- dim - The spatial dimension

- Nc - The number of components

- npoints - The number of quadrature points

- points - The coordinates of each quadrature point

- weights - The weight of each quadrature point

## Note

`q` owns the references to points and weights, so they must be allocated using `PetscMalloc()` and the user should not free them.

## See Also

`PetscQuadrature`, `PetscQuadratureCreate()`, `PetscQuadratureGetData()`

## Level

intermediate

## Location

src/dm/dt/interface/dt.c

Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages